<template>
  <v-container>
    <default-spinner-component :loading-message="loadingMessage"
      v-if="loadingData"/>
      <v-layout row
        justify-space-between
        v-if="itemListReturned"
        v-bind="gridResponsiveness"
        style="margin-top: -20px;">
        <v-flex xs5
          style="margin-top:20px;">
          <v-card class="defaultCardBackground"
            style="max-height: 85vh;width: 90%;margin: 0px auto;padding-top: 0px;height: ;min-height: 200px;padding-bottom: 30px;">
            <v-subheader>
              <h4 style="color:rgb(80, 130, 150)">
                Items
              </h4>
            </v-subheader>
            <v-divider></v-divider>
            <ul class="sellerDetailListItem"
              style="padding-top:0px;">
              <router-link
                :to="{name:'stock_item',params:{id:item}}"
                v-for="item in itemsListData"
                :key="item"
                class="stockItemMenu">
                  {{item}}
              </router-link>
            </ul>
          </v-card>
        </v-flex>
        <v-flex xs7
          style="margin-top:20px;">
          <router-view></router-view>
        </v-flex>
      </v-layout>
    <move-item/>
  </v-container>
</template>
<script>
import axios from 'axios'
import DefaultSpinnerComponent from './../common/spinner.vue'
import MoveItem from './moveItem.vue'
export default {
  name: 'StockComponent',
  components: {
    DefaultSpinnerComponent,
    MoveItem
  },
  data: () => ({
    loadingData: false,
    itemListReturned: false,
    loadingMessage: 'Loading items list ...',
    itemsListData: []
  }),
  computed: {
    gridResponsiveness () {
      const gridResponsiveness = {}
      if (this.$vuetify.breakpoint.sm || this.$vuetify.breakpoint.xs) gridResponsiveness.column = true
      return gridResponsiveness
    }
  },
  created () {
    this.loadingData = true
    axios.get('all_item_names')
      .then(response => {
        setTimeout(() => {
          this.itemsListData = response.data
          this.loadingData = false
          this.itemListReturned = true
        }, 2000)
      })
      .catch(error => {
        this.loadingData = false
        this.itemListReturned = false
        this.$store.commit('SHOW_ERROR_SNACK_BAR', 'Eroor in getting all items list: ' + error)
      })
  },
  beforeCreate () {
    this.$store.commit('RESET_STOCK_MODULE_STATE')
  }
}
</script>
<style scoped>
  .stockItemMenu{
    margin:0 5%;
    border-bottom:1px solid #819ca9;
    width:100%;
    position:relative;
    display:block;
    outline: none;
    text-decoration: none;
    list-style-type: none;
    width: 90%;
    padding: 7px 2px 7px 15px;
    color: #000000;
    transition: 0.15s all ease;
  }
  .stockItemMenu:hover{
    background: rgba(0,0,0,0.1);
  }
  .router-link-active{
    background: #d3e1e8;
    height: auto;
  }
</style>
